#include <iostream>
#include <cstdio>
#include <cstdlib>
using namespace std;
int n, k, x;
int main () {
//    cout << 5 / 2;
    scanf("%d %d %d", &n, &k, &x);
    if (k == 3) {
//        if (n < 3) {
//            printf("-1\n");
//            return 0;
//        }
        if (n == 3) {
            printf("%d %d 1\n", x + x + 1, x + 1);
            return 0;
        }
        printf("%d ", x + 1);
        for (int i = 1; i <= k; i++) {
            printf("1 ");
        }
        for (int i = 1; i <= n - k - 1; i++) {
            printf("2 ");
        }
        printf("\n");
    }
    else if (k == n) {
        if (n % 2 == 0) {
            if (n == 2) {
                printf("-1\n");
                return 0;
            }
            printf("%d %d ", x + 2, x + 1);
            for (int i = 3; i <= n / 2; i++) {
                printf("%d ", x);
            }
            for (int i = 1; i <= n / 2; i++) {
                printf("1 ");
            }
            printf("\n");
        }
        else {
            printf("%d %d ", x + 2, x + 1);
            for (int i = 3; i <= n / 2; i++) {
                printf("%d ", x);
            }
            printf("2 ");
            for (int i = 2; i <= n / 2 + 1; i++) {
                printf("1 ");
            }
            printf("\n");
        }
    }
    return 0;
}